net.sourceforge.pmd.coverage

## Class PMDCoverageTest

- java.lang.Object
- - net.sourceforge.pmd.coverage.PMDCoverageTest

    public class PMDCoverageTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PMDCoverageTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testPmdOptions()` Test some of the PMD command line options
`void` `testResourceFileCommands()` Run PMD using the command lines found in PMD_CONFIG_FILE.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PMDCoverageTest

    public PMDCoverageTest()

### Method Detail

#### testPmdOptions

    public void testPmdOptions()

Test some of the PMD command line options

#### testResourceFileCommands

    public void testResourceFileCommands()

Run PMD using the command lines found in PMD_CONFIG_FILE.

#### suite

    public static junit.framework.Test suite()